//Log Dir		 http://docs.unity3d.com/Manual/LogFiles.html
using UnityEngine;
using System;
using UnityEngine.UI;

public class PlayerManager : GenericPlayerManager {

#if UNITY_WEBPLAYER
    private const string BASE_URL = "http://150.165.205.9/anims/STANDALONE";
#elif UNITY_WEBGL
	private const string BASE_URL = "http://150.165.205.9/anims/WEBGL/";
#endif

	public BoxCollider avatarCollider;

	private string[] randomAnimationNames = new string[] {
		"[RELAXAR]",
		"[BOCEJAR]",
		"[COCHILAR]",
		"[ESPREGUI_ADA]"
	};

	public override void Start()
	{
		base.Start();
		Application.ExternalCall("onLoadPlayer");
	}

	//  SendMessage("PlayerManager", "catchGlosa", "LAVID");

	public override WWW loadAssetBundle(string aniName) {
		return WWW.LoadFromCacheOrDownload(BASE_URL + aniName, 1);
	}

	public override void onPlayingStateChange()
	{
		Application.ExternalCall("onPlayingStateChange",
				base.isPlaying(),
				base.isPaused(),
				base.isPlayingIntervalAnimation(),
				base.isLoading(),
				base.isRepeatable());
	}

	public override void onConnectionError(string gloss, string word) { }

	private static bool itb(int value) {
		return value == 0 ? false : true;
	}

	// Random animations settings
	public void initRandomAnimationsProcess() { base.setRandomAnimations(randomAnimationNames); }
	public void setRandomAnimationsTime(int time) { base.randomAnimations.time = time; }
	public void setRandomAnimationsProbability(float probability) { base.randomAnimations.probability = probability; }
	// Subtitles settings
	public void setSubtitlesState(int active) { base.SUBTITLES.gameObject.SetActive(itb(active)); }
	public void setSubtitlesColor(float r, float g, float b, float a) { base.SUBTITLES.color = new Color(r, g, b, a); }
	public void setSubtitlesHighlightedColor(string color) { Subtitle.highlightedColor = color; }
	// Others
	public void setAvatarColliderState(int active) { this.avatarCollider.enabled = itb(active); }
	public void setPauseState(int paused) { base.setPauseState(itb(paused)); }

}
